Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl.binding.http
Interface HTTPPackage.Literals

Enclosing interface:
  HTTPPackage

    public static interface HTTPPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` | `HTTP_ADDRESS` The meta object literal for the '`Address`' class
`static EAttribute` | `HTTP_ADDRESS__LOCATION_URI` The meta object literal for the 'Location URI' attribute feature
`static EClass` | `HTTP_BINDING` The meta object literal for the '`Binding`' class
`static EAttribute` | `HTTP_BINDING__VERB` The meta object literal for the 'Verb' attribute feature
`static EClass` | `HTTP_OPERATION` The meta object literal for the '`Operation`' class
`static EAttribute` | `HTTP_OPERATION__LOCATION_URI` The meta object literal for the 'Location URI' attribute feature
`static EClass` | `HTTP_URL_ENCODED` The meta object literal for the '`Url Encoded`' class
`static EClass` | `HTTP_URL_REPLACEMENT` The meta object literal for the '`Url Replacement`' class
`static EClass` | `IHTTP_ADDRESS` The meta object literal for the '`IHTTP Address`' class
`static EClass` | `IHTTP_BINDING` The meta object literal for the '`IHTTP Binding`' class
`static EClass` | `IHTTP_OPERATION` The meta object literal for the '`IHTTP Operation`' class
`static EClass` | `IHTTP_URL_ENCODED` The meta object literal for the '`IHTTP Url Encoded`' class
`static EClass` | `IHTTP_URL_REPLACEMENT` The meta object literal for the '`IHTTP Url Replacement`' class

Field Detail

### HTTP_BINDING

    static final EClass HTTP_BINDING

  The meta object literal for the '`Binding`' class.

  See Also:
    `HTTPBindingImpl`, `HTTPPackageImpl.getHTTPBinding()`

### HTTP_BINDING__VERB

    static final EAttribute HTTP_BINDING__VERB

  The meta object literal for the 'Verb' attribute feature.

### HTTP_OPERATION

    static final EClass HTTP_OPERATION

  The meta object literal for the '`Operation`' class.

  See Also:
    `HTTPOperationImpl`, `HTTPPackageImpl.getHTTPOperation()`

### HTTP_OPERATION__LOCATION_URI

    static final EAttribute HTTP_OPERATION__LOCATION_URI

  The meta object literal for the 'Location URI' attribute feature.

### HTTP_URL_REPLACEMENT

    static final EClass HTTP_URL_REPLACEMENT

  The meta object literal for the '`Url Replacement`' class.

  See Also:
    `HTTPUrlReplacementImpl`, `HTTPPackageImpl.getHTTPUrlReplacement()`

### HTTP_URL_ENCODED

    static final EClass HTTP_URL_ENCODED

  The meta object literal for the '`Url Encoded`' class.

  See Also:
    `HTTPUrlEncodedImpl`, `HTTPPackageImpl.getHTTPUrlEncoded()`

### HTTP_ADDRESS

    static final EClass HTTP_ADDRESS

  The meta object literal for the '`Address`' class.

  See Also:
    `HTTPAddressImpl`, `HTTPPackageImpl.getHTTPAddress()`

### HTTP_ADDRESS__LOCATION_URI

    static final EAttribute HTTP_ADDRESS__LOCATION_URI

  The meta object literal for the 'Location URI' attribute feature.

### IHTTP_ADDRESS

    static final EClass IHTTP_ADDRESS

  The meta object literal for the '`IHTTP Address`' class.

  See Also:
    `HTTPAddress`, `HTTPPackageImpl.getIHTTPAddress()`

### IHTTP_BINDING

    static final EClass IHTTP_BINDING

  The meta object literal for the '`IHTTP Binding`' class.

  See Also:
    `HTTPBinding`, `HTTPPackageImpl.getIHTTPBinding()`

### IHTTP_OPERATION

    static final EClass IHTTP_OPERATION

  The meta object literal for the '`IHTTP Operation`' class.

  See Also:
    `HTTPOperation`, `HTTPPackageImpl.getIHTTPOperation()`

### IHTTP_URL_ENCODED

    static final EClass IHTTP_URL_ENCODED

  The meta object literal for the '`IHTTP Url Encoded`' class.

  See Also:
    `HTTPUrlEncoded`, `HTTPPackageImpl.getIHTTPUrlEncoded()`

### IHTTP_URL_REPLACEMENT

    static final EClass IHTTP_URL_REPLACEMENT

  The meta object literal for the '`IHTTP Url Replacement`' class.

  See Also:
    `HTTPUrlReplacement`, `HTTPPackageImpl.getIHTTPUrlReplacement()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD